import { app } from '@/app.ts';
import { AppModel } from '../module/index.ts';

// curl http://localhost:4005/api/router?path=app&key=public-list
// TODO:
app
  .route({
    path: 'app',
    key: 'public-list',
  })
  .define(async (ctx) => {
    const list = await AppModel.findAll({
      where: {
        status: 'running',
      },
      // attributes: {
      // exclude: ['data'],
      // },
      logging: false,
    });
    ctx.body = list;
  })
  .addTo(app);
